slang2 (2.3.2-3) unstable; urgency=medium

  * Rebuild against unicode-data 12.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Apr 2019 09:19:19 +0100

slang2 (2.3.2-2) unstable; urgency=medium

  [Ondřej Nový]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Fix wrong Vcs-*

  [Alastair McKinstry]
  * Standards-Version: 4.3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Jan 2019 15:09:19 +0000

slang2 (2.3.2-1) unstable; urgency=medium

  * New upstream release
    - extended_terminfo.patch now included upstream
  * Ack old bugs: Closes: #407835, #664075
  * Set OBJDIR to src/x32objs on x32. Closes: #890545

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Feb 2018 16:59:12 +0000

slang2 (2.3.1a-3) unstable; urgency=medium

  * Support for extended terminfo. Thanks to Sven Joachim. Closes: #890769
  * Use OBJDIR src/x32elfobjs on x32-arch. Closes: #890545

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Feb 2018 08:33:13 +0000

slang2 (2.3.1a-2) unstable; urgency=medium

  * Standards-Version: 4.1.3; no changes required
  * Drop auto* dependencies not needed with debhelper 10
  * Delete old patches:
    - die-on-failure.patch
    - hurd-wcontinued.patch
  * Drop Priority: important on library package
  * Drop Priority: extra on udeb package
  * Set VCS to point to salsa.debian.org/debian/slang2. Closes: #838982

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Feb 2018 09:40:15 +0000

slang2 (2.3.1a-1) unstable; urgency=medium

  * New upstream release
    - int-fix.patch merged upstream
  * Standards-Version: 4.0.0; no changes required
  *  Add debian/gbp.conf file

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Jul 2017 12:29:25 +0100

slang2 (2.3.1-5) unstable; urgency=medium

  * Updated fix from upstream for big-endian 64-bit systems. Closes: #843421.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Nov 2016 11:48:53 +0000

slang2 (2.3.1-4) unstable; urgency=medium

  * Fix for test crash, from upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Nov 2016 13:27:27 +0000

slang2 (2.3.1-3) unstable; urgency=medium

  * Build -fsigned-char to fix test failures

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Nov 2016 16:50:53 +0000

slang2 (2.3.1-2) unstable; urgency=medium

  * Build --no-parallel, as seems to fail on multiple cores.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Nov 2016 21:58:59 +0000

slang2 (2.3.1-1) unstable; urgency=medium

  * New upstream release
   - typos patch merged upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 Oct 2016 09:23:52 +0000

slang2 (2.3.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Run dh_auto_install with --no-parallel. Upstream's 'install' Makefile
    rule does not appear to be reliable in a parallel build: the
    install-elf-and-links target can run in parallel with the elf
    target. (Closes: #838971)

 -- Simon McVittie <smcv@debian.org>  Tue, 27 Sep 2016 12:57:48 +0100

slang2 (2.3.0-4) unstable; urgency=medium

  * Fix for crash from Samuel; Thibault. Closes: #837868
  * DH_COMPAT=10 with dependency change.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Sep 2016 11:29:19 +0100

slang2 (2.3.0-3) unstable; urgency=medium

  * Standards-Version is now 3.9.8. No changes required.
  * Patch from Reiner Herrmann to make build reproducible. Closes: #828762.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Jul 2016 12:10:10 +0100

slang2 (2.3.0-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Try again to remove libpng16-16 dependency, thanks Guillem
    for pointing me to my fault (Closes: #820338).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 10 Apr 2016 23:04:04 +0200

slang2 (2.3.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Include changes for the never uploaded but on git
    changes in 2.2.4-16 (from Dmitry)
  [ Dmitry Smirnov ]
  * better debian/clean
  * lintian-overrides for false-positive 'hardening-no-fortify-functions'
  * simplify passing extra CFLAGS
  [ Guillem Jover ]
  * Remove recommends of libpng16-16, because shlibs:Depends should
    already pick it up (Closes: #820338)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Apr 2016 21:57:56 +0200

slang2 (2.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Recommends libpng16-16 instead of libpng12-0 (Closes: #820338)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Apr 2016 16:33:28 +0200

slang2 (2.3.0-2) unstable; urgency=medium

  * Patch from John Davis to fix segfault in slang/jed.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Oct 2014 09:21:28 +0100

slang2 (2.3.0-1) unstable; urgency=medium

  * New upstream release.
   - Merged hurd-wcontinued.patch
   - Patch for new-glibc needed for sockets, to uncover strtoll(), atoll()
  * Now incorporates and obsoletes slang-histogram.
  * Remove obsolete Conflicts/Breaks statements from debian/control.
  * Now at Standards-Version: 3.9.6

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Sep 2014 10:24:11 +0100

slang2 (2.2.4-17) unstable; urgency=medium

  * Rebuild with unicode update for 7.0. Now  Build-Depend and use
    packaged unicode-data, so new updates can just binNMU.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 Jun 2014 12:50:14 +0100

slang2 (2.2.4-16) unstable; urgency=medium

  * Standards-Version: 3.9.5
  * Fix typos. Thanks to Jakub Wilk. Closes: #731126.
  * Typo in DPKG_EXPORT_BUILDFLAGS. Closes: #680998.
  * Fix FTBFS when DSO linking, thanks to Eleanor Chen. Closes: #719902.
  * Fix typo in Description; thanks Lintian.
  * Change Priority for libslang2 from required to important to match overrides.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 07 Dec 2013 21:00:18 +0000

slang2 (2.2.4-15) unstable; urgency=low

  * Disable the die-on-testfailure patch: the failures are not regressions.
    Ship slang2 as-was for wheezy, rather than go look for trouble.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Jun 2012 12:25:16 +0100

slang2 (2.2.4-14) unstable; urgency=low

  * Add "-O0" to build options to avoid tickling a bug somewhere in libslang;
    probably with uninitized memory. Closes: #675125.
  * Add patch to ensure test failures cause automated testing to fail on
    Debian and catch this sort of thing.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Jun 2012 03:30:24 +0100

slang2 (2.2.4-13) unstable; urgency=low

  * Re-insert CFLAGS that may not be obsolete ...

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Jun 2012 15:10:50 +0100

slang2 (2.2.4-12) unstable; urgency=low

  * Don't ship pre-built config.h in examples directory : it makes the -dev
    package arch-dependent. Closes: #674495.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 May 2012 14:56:26 +0100

slang2 (2.2.4-11) unstable; urgency=low

  [ Dmitry Smirnov ]
  * added VCS links
  * dropped obsolete CFLAGS
  * debian/control: Conflicts replaced with Breaks (lintianisation)
  * Debian source package compression to '.xz'

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 16 May 2012 10:09:16 +0100

slang2 (2.2.4-10) unstable; urgency=low

  [ Dmitry Smirnov ]
  * debhelper & compat to version 9
    use default hardening (Closes: #656128).
  * debian/watch is fixed and improved.
  * removed:
    - unused lintian-overrides.
    - postinst and postrm scripts (obsolete).
    - shlibs.local (obsolete).
    - obsolete .dirs files.
    - install_prefix.patch (unused).
    - debian/README file with upload instructions.
  * no longer install upstream UPGRADE.txt file with instructions
    how to upgrade from slang v1.
  * no longer install upstream README files with hints about
    location of documentation files in upstream source tree.
  * added doc-base registration for slsh html documentation.
  * added libslang2.symbols file.
  * added debian/clean file to remove auto-generated files.
  * use autoconf to re-generate configure script.
  * docs and examples separated from debhelper .install files
  * debian/copyright:
    + converted to copyright-format 1.0
    + updated debian contributors copyrights
    + corrected upstream license
  * debian/control:
    + added Homepage field to debian/control.
    + dropped conflict with obsolete slang0.99.34-dev
    + adding myself as Uploader.
    + minor lintianisation:
      * libslang2-modules long description is updated.
      * XC-Package-Type --> Package-Type.
      * dropped redundant "Priority: optional"
  * install compressed slangfun.txt doc file.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Apr 2012 11:17:13 +0100

slang2 (2.2.4-9) unstable; urgency=low

  * Fix wrong parens in control file. Closes: #669514.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 23 Apr 2012 21:06:29 +0100

slang2 (2.2.4-8) unstable; urgency=low

  * Fix broken multiarch in libslang2-modules

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Apr 2012 14:27:55 +0100

slang2 (2.2.4-7) unstable; urgency=low

  * Build against libpng-dev for png15 transition. Closes: #662504.
  * Standards-Version: 3.9.3. No changes required.
  * Remove accidental debian-changes patches in debian/patches

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 10 Mar 2012 13:36:09 +0000

slang2 (2.2.4-6) unstable; urgency=low

  * Remove redundant Priority: optional in control for -pic.
  * Hardened build flags patch from Moritz Muehlenhoff. Closes: #656128

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 04 Feb 2012 17:19:10 +0000

slang2 (2.2.4-5) unstable; urgency=low

  * back out build-dep change which breaks on buildds, which only check first
    dependency. Closes: #650694.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Dec 2011 09:54:19 +0000

slang2 (2.2.4-4) unstable; urgency=low

  * Build against libpng-dev | libpng15-dev for libpng15 transition.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 30 Nov 2011 13:21:47 +0000

slang2 (2.2.4-3) unstable; urgency=low

  * Patch from Riko Voipio for Mulit-arch support. Closes: #638904.
  * Standards-Version: 3.9.2. No other changes needed.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Aug 2011 11:10:29 +0100

slang2 (2.2.4-2) unstable; urgency=low

  * Call make static to build library directly in rules, rather than
    accidentally rely on it being called by 'make test'. Closes: #623933.
  * 0i

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Aug 2011 21:10:26 +0100

slang2 (2.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Apr 2011 09:57:10 +0100

slang2 (2.2.3-3) unstable; urgency=low

  * patch  for FTBFS on hurd-i386.
  * Include missing files for slsh. Closes: #621495.
  * Remove "The" from Descriptions: in debian/control..

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Apr 2011 22:55:40 +0100

slang2 (2.2.3-2) unstable; urgency=low

  * Add chrpath to Build-Depends. Closes: #620997.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Apr 2011 19:58:59 +0100

slang2 (2.2.3-1) unstable; urgency=low

  * New upstream release.
    Removed obsolete patches:
       termcap_emulation.patch
       nointerlibc.patch
       slagetput.patch
  * Standards-Version: 3.9.1
  * Moved from DBS to debhlper 7 + quilt build style.
    Closes: #576047, #571283, #615910.
  * Patches moved to quilt format, DEPS-3 headers added.
  * Patch for automatic dependencies for udeb. Closes: #564486.
  * Fix unclear copyright file. Closes: #615909.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Apr 2011 18:58:20 +0100

slang2 (2.2.2-4) unstable; urgency=low

  * Patch from slang2 upstream for slagetput problem not completely
    fixed in 2.2.2 release.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 18 Mar 2010 18:35:55 +0000

slang2 (2.2.2-3) unstable; urgency=low

  * FTBFS: Need to depend on libncurses-dev for -ltermcap. Closes: #574298.
  * Standards-Version: 3.8.4. No changes required.
  *  Add ${misc:Depends} for debhelper, thanks to lintian.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Mar 2010 19:00:17 +0000

slang2 (2.2.2-2) unstable; urgency=low

  * Patch thanks to Cyril Brulebois to fix broken .so symlink.
    Closes: #560239, #560068.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Dec 2009 06:05:36 +0000

slang2 (2.2.2-1) unstable; urgency=low

  * New upstream release.
  * Move to source format 3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 06 Dec 2009 10:29:11 +0000

slang2 (2.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Sep 2009 15:02:59 +0100

slang2 (2.2.1~14-1) unstable; urgency=low

  * New upstream release. Closes: #542882.
  * Move to Standards-Version: 3.8.3, debhelper 7.
  * Support DEB_BUILD_OPTION 'noopt'. Closes: #539333.
  * Add dependencies on zlib1g-dev, libonig-dev for modules

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 04 Sep 2009 12:23:54 +0100

slang2 (2.1.4-3) unstable; urgency=low

  * Add libslang-modules package for slsh modules used by third-party
    applications. Closes: #524825, #524849.
  * Remove -lm -ldl from slsh link line (uses no symbols from these).

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Apr 2009 13:17:53 +0100

slang2 (2.1.4-2) unstable; urgency=low

  * Add slang.pc pkgconfig file.
  * Add nointerlibc patch from fedora to avoid using private glibc symbols.
  * Longer short description for slsh. Closes: #493508.
  * Move /usr/lib/slang/v2/modules/*.so to libslang, from slsh. Closes: #522282.
  * Moved to Standards-Version: 3.8.1; no changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Apr 2009 22:41:55 +0100

slang2 (2.1.4-1) unstable; urgency=low

  * New upstream release.
  * FTBFS with glibc-2.8. Closes: #491798.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 26 Mar 2009 11:33:54 +0000

slang2 (2.1.3-3) unstable; urgency=low

  * Move to Standards;Version: 3.7.3.
  * Replace ${Source-Version} with ${binary:Version} in debian/control.
  * debian/compat (5) replaces DH_COMPAT=4 in rules.
  * libslang2-dev is now in the libdevel section, not devel.
  * Fix broken entry in changelog by acknowledging NMU in next entry.
  * set SLSH_LOCALLIB_DIR="", as we don't ship a local-packages dir in
     Debian (breaks FSSTND).

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Mar 2008 17:49:49 +0000

slang2 (2.1.3-2) unstable; urgency=low

  * Ensure libslang.a is included in libslang2-dev. Closes: #453171.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Nov 2007 20:13:04 +0000

slang2 (2.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 08 Nov 2007 11:29:26 +0000

slang2 (2.0.7-5) unstable; urgency=low

  * Install map file in the pic package. Closes: #316525.
    Thanks to Joey Hess for the patch.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 21 Sep 2007 09:59:01 +0100

slang2 (2.0.7-4) unstable; urgency=low

  * Change libpng12 to libpng12-0. Thought libpng12 was a virtual
    package. Closes: #436932.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 Sep 2007 00:40:22 +0100

slang2 (2.0.7-3) unstable; urgency=low

  * Change dependencies to libslang Build-Depend on libpng12, libslang2-dev on
    libpng-dev. Must have been asleep, I guess. Closes: #434155.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 28 Jul 2007 16:45:53 +0100

slang2 (2.0.7-2) unstable; urgency=low

  * Bump the ABI micro version in shlibs, as new symbols were added.
    Closes: #427636.
  * Build-Depend: on libpng12-dev, for png-module.so plugin.
    Also add a Recommends: libpng for this purpose. Closes: #423571.
  * Move to Standards-Version: 3.7.2. No changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Jun 2007 15:47:27 +0100

slang2 (2.0.7-1) unstable; urgency=low

  * New upstream release. Closes: #421587.
  * Make list in description render nicely in aptitude.  Closes: #388858.
  * Backout 080_wide_chars.patch ; improved fix in 2.0.7. Closes: #399355.
  * Typo prevented slsh cmaps files from being installed. Closes: #421661.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue,  1 May 2007 09:43:45 +0100

slang2 (2.0.6-4) unstable; urgency=high

  * Fix regression in slutf8.c due to removing 080_wide_chars.patch
    that broke double-width chars. Fixed bugs in patch instead.
    Closes: #392987, #392942.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Oct 2006 17:31:55 +0100

slang2 (2.0.6-3) unstable; urgency=low

  * Remove 080_wide_chars.patch which breaks jed. Closes: #369152.
  * Change the shlib deps. to 2.0.6-3 because of such behaviour changes.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Aug 2006 08:55:31 +0100

slang2 (2.0.6-2) unstable; urgency=low

  * Change libslang2 section to 'libs' from 'base'. I still intend to push
    slang2 into base for etch, but for the moment go with the override.
  * Add libslang2-udeb to shlibs for d-i. Thanks to Franz Pop for the patch.
    Closes: #355963.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Mar 2006 08:01:55 +0000

slang2 (2.0.6-1) unstable; urgency=low

  * New upstream release.
  * Change slang_install_prefix to /usr. Closes: #353282.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun,  5 Mar 2006 20:19:05 +0000

slang2 (2.0.5-1) unstable; urgency=low

  * New upstream release.
    - Removed patch 030_versioned_symbols.patch: now in upstream.
    - Removed patch 060_slcurses_winch.patch; now in upstream.
  * Ensure -mieee is in CFLAGS on Alpha in case of toolchain problems;
    Closes: #337304.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun,  6 Nov 2005 12:18:49 +0000

slang2 (2.0.4-7) unstable; urgency=low

  * Do not compress slangfun.txt, as it must be parsed by slang for help
    messages.  Closes: #329007.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Sep 2005 16:45:49 +0100

slang2 (2.0.4-6) unstable; urgency=low

  * Include slsh modules, .sl files, cmap and hlp files in slsh.
  * Include slsh examples.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Sep 2005 16:23:49 +0100

slang2 (2.0.4-5) unstable; urgency=low

  * Remove unnecessary recommends on libfribidi0, build-depends on
    libfribid-dev.
  * Change maintainer to Alastair, with Jim Mintha as uploader

 -- Alastair McKinstry <mckinstry@debian.org>  Fri,  9 Sep 2005 07:56:49 +0100

slang2 (2.0.4-4) unstable; urgency=low

  * Correct _slang_doc_dir to /usr/share/doc/libslang2. Closes: #317582.
  * remove fribidi patch; fribidi now moved to newt. Closes: #318239.
  * Fix Wide chars bug in UTF8; patch from Eugeniy Meshcheryakov.
    Closes: #316010.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Jul 2005 22:50:18 +0100

slang2 (2.0.4-3) unstable; urgency=low

  * libslang2 now recommends libfribidi0.
  * Fix segfault if libfribidi is not present. Closes: #316637.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat,  9 Jul 2005 12:51:49 +0100

slang2 (2.0.4-2) unstable; urgency=low

  * Added fribidi patch from slang1.
  * Now at Standards Version 3.6.2
  * libslang2 is now of Priority: required. Closes: #315914.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 27 Jun 2005 06:57:37 +0100

slang2 (2.0.4-1) unstable; urgency=low

  * New Upstream release:
    - docfix patch and nonlinux patch now in upstream.
  * Use debhelper support to build libslang2-udeb properly. Closes: #315600.
  * Patch to slcurses.h: change to UTF8 broke winch() macro.
    Closes: #315094.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Jun 2005 06:52:04 +0100

slang2 (2.0.3-1) unstable; urgency=low

  * New Upstream release.
  * Added debian/watch and lintian ignores files.
  * patches: re-enable doc patch;
  * Include cross-build patch from NIIBE Yutaka.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed,  8 Jun 2005 21:27:39 +0100

slang2 (2.0.2-1) experimental; urgency=low

  * New Upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 May 2005 22:25:48 +0100

slang2 (1.99pre2r7-2) experimental; urgency=low

  * Depend on >= 1.99pre2r7-1 , not >> 1.99pre2r7-1.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat,  2 Apr 2005 14:48:36 +0100

slang2 (1.99pre2r7-1) experimental; urgency=low

  * New upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 31 Mar 2005 20:31:41 +0100

slang2 (1.99pre2r4-2) experimental; urgency=low

  * Patch from Christian Aichinger:
    Temporarily included _SLChg_UCase_Lut and _SLChg_LCase_Lut in global
    symbols. These are used in macros and I expect them to be renamed for
    slang2-final; don't use them directly in your code.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Mar 2005 21:38:29 +0100

slang2 (1.99pre2r4-1) experimental; urgency=low

  * New upstream release.
    Please note that the license is now GPL only; Perl Artistic License
    is no longer supported.
  * Added slsh package; thanks to Rafael Laboissiere for patch.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 16 Feb 2005 10:35:45 +0000

slang (1.4.9dbs-8) unstable; urgency=low

  * Fix segfault on zero-width chars chars in Arabic.  Closes: #256405, #272136.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Sep 2004 20:53:30 +0100

slang (1.4.9dbs-6) unstable; urgency=low

  * Fix segfault on lists running over screen boundary: Closes: #264080.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Aug 2004 21:34:01 +0100

slang (1.4.9dbs-5) unstable; urgency=low

  * Fix error in shlibs that breaks newt.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Jul 2004 23:10:07 +0100

slang (1.4.9dbs-4) unstable; urgency=low

  * Avoid reopening libfridi; cache file handle. Closes: #260898.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Jul 2004 22:15:43 +0100

slang (1.4.9dbs-3) unstable; urgency=low

  * Fix typos in debian/rules that broke shlibs. Closes: #258008, #258034.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed,  7 Jul 2004 19:02:43 +0100

slang (1.4.9dbs-2) unstable; urgency=low

  * Add _SLChg_UCase_Lut symbol, used in slang.h macros, to exported
    symbols. Used by srln. Closes: #257516.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun,  4 Jul 2004 08:52:23 +0100

slang (1.4.9dbs-1) unstable; urgency=low

  * Make dbs package, in order to keep track of patches.
  * Use 255 color pairs when ACS not used. Thanks to
    Sam Hocevar. Closes: #222454.
  * Fix examples shipped in slang1-utf8-dev, slang1-dev.
  * Added ELF versioning to the symbols in the slang1 and slang1a-dev
    libraries, so they can co-exist.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu,  1 Jul 2004 20:50:04 +0100

slang (1.4.9-4) unstable; urgency=low

  * Add SLtt_tputs(), Sltt_tgoto(), SLtt_tgetent() to enable emulation
    of the termcap library. Closes: #51176.
  * Add missing pseudographical chars. Closes: #241300.
  * Fixed off-by-one error in drawing a hline. Closes: #192025.
  * Re-Acknowledge NMUs:
    Closes: #122495, #129694, #134009, #127938, #177462, #100563.
    Closes: #131379, #131380, #102595, #122976, #128255, #133031.
    Closes: #252956.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Jun 2004 22:17:19 +0100

slang (1.4.9-3.1) unstable; urgency=low

   * Patch from Steve Langasek. 3.1 to by-pass -3, which is stuck in
     NEW queue.
   * Patch fribidi support into slang1-utf8; thanks to Shlomi Loubaton
     <loubaton.shlomi@012.net.il> for the initial version of this patch.
   * Also add shaping support for Arabic; thanks to Mohammed Sameer of
     arabeyes.org for the standalone C implementation that this work was
     based on.
   * Update configure.in, aclocal.m4 so that config.hin can be
     autogenerated; and run autoheader.
   * Add -D_XOPEN_SOURCE=500 to the CFLAGS, so that we get the correct
     wcwidth() definition (and any others we might need).

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 13 Jun 2004 21:27:35 -0600

slang (1.4.9-2) unstable; urgency=low

  * The "more to Debian than Linux" release.
  * Produce the right udeb filename for hurd-i386. Closes: #213429.
  * Fix incorrect dependency on libc6-dev which breaks hurd. Closes: #212356.
  * Remove ELF_DEP_LIBS override from debian/rules that broke NetBSD;
    Closes: #130616.
  * aclocal.m4 patch for GNU/K*BSD support. Closes: #195276.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed,  1 Oct 2003 19:35:00 +0000

slang (1.4.9-1) unstable; urgency=low

  * New upstream release, 1.4.9. Closes: #208219.
  * Moved to Standards-Version: 3.6.1
  * New co-maintainer,  Alastair McKinstry <mckinstry@debian.org>
  * Co-Maintainer upload; acknowledging NMUs. Closes: #208887, #100563, #177405
      #177462, #100563, #131379, #131380, #102595, #122976, #128255, #133031
      #122495, #129694, #134009, #127938.
  * Change priority of slang1 to standard, slang1-pic, slang1-utf8-dev and slang1a-utf8-udeb
      to extra. Changed slang1-pic , slang1-utf8-pic and Section to libdevel.
      Priority changes required by policy as slang1a-utf8 now required; Section changes
      recommended by overrides. Closes: #208887.
  * Don't use dh_testroot in clean target, debian/rules. Closes: #178251.
  * Patch from Nikita V. Youshchenko to display geometric chars properly.
    Closes: #195010, #187704, #201767, #202218, #189330.
  * Add changelog entry to show NMU 1.4.4-3.1 occured. Closes: #119944.
  * To satisfy lintian: Removed superflous full stops from Descriptions;
    removed obsolete and redundant dh_suidregister call.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Sep 2003 21:24:19 +0100

slang (1.4.5-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Change priority of  slang1a-utf8 from 'extra' to 'required', to avoid breaking
    policy.  The required package util-linux need to build against slang-utf8
    to get debian-installer to work, and the 'required' priority need to propagate
    to its dependencies as well. (Closes: #208887)

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  6 Sep 2003 11:07:03 +0200

slang (1.4.5-2.1) unstable; urgency=low

  * NMU
  * Make pic library name standard. Needed for debian-installer
    to work properly. Closes: #100563.

 -- Alastair McKinstry <mckinstry@computer.org>  Mon, 14 Jul 2003 17:45:56 +0100

slang (1.4.5-2) unstable; urgency=low

  * Added patch from RH9 for line draw characters.  Needed for newt-0.51
    compile.  (Closes: #189330)  Thanks to Alastair McKinstry.

 -- Jim Mintha <jmintha@debian.org>  Sat, 19 Apr 2003 04:47:37 +0200

slang (1.4.5-1.1) unstable; urgency=low

  * NMU
  * Add slang1a-utf8-udeb package for debian-installer. Based on a patch
    from Thomas Viehmann <tv@beamnet.de> (Closes: #177405, #177462)

 -- Martin Sjogren <sjogren@debian.org>  Sun,  6 Apr 2003 11:22:43 +0200

slang (1.4.5-1) unstable; urgency=low

  * New upstream version (closes: #130752)
  * added slang.txt and slangfun.txt to slang1 package and removed
    from -dev (since -dev depends on slang1) (closes: #67675)
  * fixes typos in docs (closes: #131751, #131757)

 -- Jim Mintha <jmintha@debian.org>  Sat, 13 Jul 2002 01:32:12 +0200

slang (1.4.4-7.2) unstable; urgency=low

  * NMU
  * re-uploading with a new version number to fix the
    uninstallable mutt-utf8 bug introduced from a typo in the
    last NMU.
    (closes: #134009)

 -- Junichi Uekawa <dancer@debian.org>  Fri, 15 Feb 2002 21:27:58 +0900

slang (1.4.4-7.1) unstable; urgency=low

  * NMU to fix release-critical bugs.
  * slang1-utf8 and slang1 will coexist with each other!
  * slang1-utf8-dev and slag1-dev will not coexist with each other.
  * slang1-utf8-dev will not be satisfied with slang1.
  * debian/slang.h.extra.in: some extra checking appended to slang.h
    for utf-8 compat. /usr/include/slang.h checks for -DUTF8 status.
  * slang1-utf8 does no longer divert slang1. It's not a simple replacement.
  * shlibs file were generated incorrectly, fix it.
  * slang1-utf8 package is now slang1a-utf8 to indicate incompatible
    soname.
  * the diversion is no longer needed. Package name is renamed, so the
    old package should be able to clean up by themselves.
  * I really recommend rebuilding against this version. This
    modification definitely requires rebuild for boot-floppies, and
    mutt.
  * slang1-utf8 libraries have a soname of libslang.so.1-UTF8 now.
  * The above fixes the -utf8 and nonutf8 version mixture bugs,
    (closes: #122976, #131379, #129694)
  * shlibs information is now correct (closes: #131380, #127938)

 -- Junichi Uekawa <dancer@debian.org>  Tue, 29 Jan 2002 18:49:50 +0900

slang (1.4.4-7) unstable; urgency=high

  * Add -f for ln in preinst just in case (Closes: Bug#127717)
  * Remove the binaries for the -dev examples (Closes: Bug#122343)

 -- Jim Mintha <jmintha@debian.org>  Sat,  5 Jan 2002 01:10:04 +0100

slang (1.4.4-6) unstable; urgency=high

  * Make slang1-utf8 depend on slang1 and divert the library in
    the preinstall. (Closes: Bug#115376, Bug#113815)
  * Fix up various dependencies

 -- Jim Mintha <jmintha@debian.org>  Sun, 14 Oct 2001 01:14:43 +0200

slang (1.4.4-5) unstable; urgency=low

  * Fix depends for slang1-utf8-pic (Closes: Bug#114680, Bug#113815)
  * Fix misspelling of licenses

 -- Jim Mintha <jmintha@debian.org>  Sun,  7 Oct 2001 02:15:45 +0200

slang (1.4.4-4) unstable; urgency=low

  * Put back in UTF conditionally
  * create both packages at once
  * Added rule to update config.sub and config.guess on build
  * Acknowledge unknown NMU uploader who fixed #102595.

 -- Jim Mintha <jmintha@debian.org>  Thu,  5 Jul 2001 02:36:13 +0200

slang (1.4.4-3) unstable; urgency=low

  * Removed UTF support to seperate package.  It caused too many
    incompatibilities with other programs.  Hopefully with some
    work the UTF can be remerged again later.
    (Closes: Bug#95112, Bug#95767, Bug#95770, Bug#95375,
    Bug#96904, Bug#97232, Bug#95018, Bug#95145, Bug#99276,
    Bug#98948, Bug#96337)

 -- Jim Mintha <jmintha@debian.org>  Wed, 30 May 2001 23:58:53 +0200

slang (1.4.4-2) unstable; urgency=low

  * Add utf-8 wide character support (#93277)
    Patch from: Edmund GRIMLEY EVANS <edmundo@rano.org>
    http://www.rano.org/mutt/slang-1.4.4-ege2.diff.gz)

 -- Jim Mintha <jmintha@debian.org>  Tue, 10 Apr 2001 02:17:08 +0200

slang (1.4.4-1) unstable; urgency=low
  * New upstream version (#87598)
  * upstream and local fix for max 250 columns bug (#71512, #71511)
  * clean up Makefiles the make distclean misses
  * fix configure/acsite.m4 to recognize hurd
  * should run ldconfig on postinstall

 -- Jim Mintha <jmintha@debian.org>  Sun, 25 Feb 2001 22:35:02 +0100

slang (1.4.1-1) unstable; urgency=low

  * New upstream version (#65042)
  * Added -s to call to make in rules to allow recursion and fix (#60822)
  * supply a simple Makefile for examples (#60842)
  * upstream fix to SLsmg_touch_lines fixes (#62771)

 -- Jim Mintha <jmintha@debian.org>  Sat, 22 Jul 2000 23:47:26 +0200

slang (1.3.9-1) unstable; urgency=low

  * added -ldl to the rules file for slang1 as well (#47331, #47217)
  * new upstream version (#46952)

 -- Jim Mintha <jmintha@debian.org>  Thu, 14 Oct 1999 01:02:32 +0200

slang (1.3.8-2) unstable; urgency=low

  * Fixed bottom line not displaying bug (#33714, #39377, #43804)
  * -dev and -pic files should depend on the version explicitly (#46889)

 -- Jim Mintha <jmintha@debian.org>  Fri,  8 Oct 1999 00:37:10 +0200

slang (1.3.8-1) unstable; urgency=low

  * New upstream version
  * Removed use of tsort in rules until tsort is fixed (see bug 43610)
  * Changed rules to not use ldconfig -n which doesn't exist on hurd
  * Change shlibs so that future 1.x version won't break dependancies
  * Packages which depend on 1.2 will need to be recompiled because
    the have a dependancy on slang << 1.3
  * add -ldl to the shared library build

 -- Jim Mintha <jmintha@debian.org>  Tue,  5 Oct 1999 11:56:28 +0200

slang (1.2.2-3) unstable; urgency=low

  * Removed the dependancy for slang << 1.3 in the shlib file
    since 1.3 is compatible with 1.2

 -- Jim Mintha <jmintha@debian.org>  Mon, 16 Aug 1999 23:26:38 +0200

slang (1.2.2-2.1) unstable; urgency=low

  * SPARC NMU to resolve the missing chown@@ symbol when compiling
    with the new glibc 2.1.1

 -- Ben Collins <bcollins@debian.org>  Tue, 11 May 1999 13:14:04 +0000

slang (1.2.2-2) unstable; urgency=low

  * Added define SLANG_HAS_KANJI_SUPPORT to enable Japanese compliance
  * Added changes from J.H.M. Dassen in 0.3 that I missed.  They are:
  * Fixed conflict with slang altdev (Fixes #26677).
  * libslang.(a|so) are now in /usr/lib (Fixes #24078).
  * Installed docs and examples in the -dev package. (Fixes #24220).

 -- Jim Mintha <jmintha@debian.org>  Fri, 16 Oct 1998 00:40:35 -0700

slang (1.2.2-1) unstable; urgency=low

  * Maintainer release.
  * include source code

 -- Jim Mintha <jmintha@debian.org>  Fri, 16 Oct 1998 00:37:25 -0700

slang (1.2.2-0.3) unstable; urgency=low

  * New maintainer: Jim Mintha. Non-maintainer upload as Jim is currently
    short on time.
  * Fixed conflict with slang altdev (Fixes #26677).
  * libslang.(a|so) are now in /usr/lib (Fixes #24078).
  * Installed docs and examples in the -dev package. (Fixes #24220).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Wed, 14 Oct 1998 21:41:11 +0200

slang (1.2.2-0.2) unstable; urgency=low

  * Really fixed shlibs. (Fixes #22085).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Tue,  5 May 1998 15:07:55 +0200

slang (1.2.2-0.1) unstable; urgency=low

  * New upstream bugfix release.
  * Corrected shlibs file.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Wed, 29 Apr 1998 11:38:56 +0200

slang (1.2.1-0.2) unstable; urgency=low

  * Added Conflicts: slang-dev6 (which is the virtual package
    slang0.99.38-dev provided); the virtual package this provides is
    "slang-dev". (fixes #21629)
  * Fixed location of the include files (fixes 21630).
  * Removed call of ldconfig in postrm (lintian).
  * Changed name of changelog (lintian).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sat, 25 Apr 1998 14:34:45 +0200

slang (1.2.1-0.1) unstable; urgency=low

  * First non-beta 1.0 version.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Fri, 24 Apr 1998 13:54:37 +0200

slang (1.0.3-0.1) unstable; urgency=low

  * Unreleased.
  * Major new upstream release.
  * libc6 only.
  * Non-maintainer release.
  * Build process cleaned up a lot; used debhelper.
  * Though slang1 is not used by packages in base yet, I expect that to
    happen soon (as it will take over the role of slang0.99.38);
    the Section and Priority reflect this already.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Wed,  1 Apr 1998 11:44:57 +0200

